SDL_GetCursor(3)

NAME
SDL_GetCursor - Get the active cursor.

SYNOPSIS
#include <SDL3/SDL_mouse.h>

SDL_Cursor * SDL_GetCursor(void);

DESCRIPTION
This function returns a pointer to the current cursor which is owned by the library. It is not necessary to free the cursor with SDL_DestroyCursor().

RETURN VALUE
Returns the active cursor or NULL if there is no mouse.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetCursor(3)